Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# IORC.cpp File Reference

`#include "IORManip_Loader.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "IORC.i"`

Include dependency graph for IORC.cpp:

## Defines
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CS_
#define | _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_EmptyProfileList (CORBA::tk_except, sizeof(_oc_TAO_IOP_EmptyProfileList),(char *)&_oc_TAO_IOP_EmptyProfileList, 0, sizeof(TAO_IOP::EmptyProfileList))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(TAO_IOP) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_NotFound (CORBA::tk_except, sizeof(_oc_TAO_IOP_NotFound),(char *)&_oc_TAO_IOP_NotFound, 0, sizeof(TAO_IOP::NotFound))
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_Duplicate (CORBA::tk_except, sizeof(_oc_TAO_IOP_Duplicate),(char *)&_oc_TAO_IOP_Duplicate, 0, sizeof(TAO_IOP::Duplicate))
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_Invalid_IOR (CORBA::tk_except, sizeof(_oc_TAO_IOP_Invalid_IOR),(char *)&_oc_TAO_IOP_Invalid_IOR, 0, sizeof(TAO_IOP::Invalid_IOR))
CORBA::TypeCode | _tc_TAO_tc_TAO_IOP_MultiProfileList (CORBA::tk_except, sizeof(_oc_TAO_IOP_MultiProfileList),(char *)&_oc_TAO_IOP_MultiProfileList, 0, sizeof(TAO_IOP::MultiProfileList))
TAO_IOP::TAO_IOR_Property_ptr | tao_TAO_IOP_TAO_IOR_Property_duplicate (TAO_IOP::TAO_IOR_Property_ptr p)
void | tao_TAO_IOP_TAO_IOR_Property_release (TAO_IOP::TAO_IOR_Property_ptr p)
TAO_IOP::TAO_IOR_Property_ptr | tao_TAO_IOP_TAO_IOR_Property_nil (void)
TAO_IOP::TAO_IOR_Property_ptr | tao_TAO_IOP_TAO_IOR_Property_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_TAO_IOP_TAO_IOR_Property_upcast (void *src)
TAO_IOP::TAO_IOR_Manipulation_ptr | tao_TAO_IOP_TAO_IOR_Manipulation_duplicate (TAO_IOP::TAO_IOR_Manipulation_ptr p)
void | tao_TAO_IOP_TAO_IOR_Manipulation_release (TAO_IOP::TAO_IOR_Manipulation_ptr p)
TAO_IOP::TAO_IOR_Manipulation_ptr | tao_TAO_IOP_TAO_IOR_Manipulation_nil (void)
TAO_IOP::TAO_IOR_Manipulation_ptr | tao_TAO_IOP_TAO_IOR_Manipulation_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_TAO_IOP_TAO_IOR_Manipulation_upcast (void *src)
## Variables
const CORBA::Long | _oc_TAO_IOP_EmptyProfileList []
const CORBA::Long | _oc_TAO_IOP_NotFound []
const CORBA::Long | _oc_TAO_IOP_Duplicate []
const CORBA::Long | _oc_TAO_IOP_Invalid_IOR []
const CORBA::Long | _oc_TAO_IOP_MultiProfileList []

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CS_

#define _TAO_IOP_TAO_IOR_MANIPULATION_IORLIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_Duplicate | ( | CORBA::tk_except | ,
|  | sizeof(_oc_TAO_IOP_Duplicate) | ,
|  | (char *)& | _oc_TAO_IOP_Duplicate,
|  | 0 | ,
|  | sizeof(TAO_IOP::Duplicate) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_EmptyProfileList | ( | CORBA::tk_except | ,
|  | sizeof(_oc_TAO_IOP_EmptyProfileList) | ,
|  | (char *)& | _oc_TAO_IOP_EmptyProfileList,
|  | 0 | ,
|  | sizeof(TAO_IOP::EmptyProfileList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_Invalid_IOR | ( | CORBA::tk_except | ,
|  | sizeof(_oc_TAO_IOP_Invalid_IOR) | ,
|  | (char *)& | _oc_TAO_IOP_Invalid_IOR,
|  | 0 | ,
|  | sizeof(TAO_IOP::Invalid_IOR) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_MultiProfileList | ( | CORBA::tk_except | ,
|  | sizeof(_oc_TAO_IOP_MultiProfileList) | ,
|  | (char *)& | _oc_TAO_IOP_MultiProfileList,
|  | 0 | ,
|  | sizeof(TAO_IOP::MultiProfileList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_TAO_IOP_NotFound | ( | CORBA::tk_except | ,
|  | sizeof(_oc_TAO_IOP_NotFound) | ,
|  | (char *)& | _oc_TAO_IOP_NotFound,
|  | 0 | ,
|  | sizeof(TAO_IOP::NotFound) |
| ) | `[static]`

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

TAO_IOP::TAO_IOR_Manipulation_ptr tao_TAO_IOP_TAO_IOR_Manipulation_duplicate | ( | TAO_IOP::TAO_IOR_Manipulation_ptr | p | ) |

TAO_IOP::TAO_IOR_Manipulation_ptr tao_TAO_IOP_TAO_IOR_Manipulation_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

TAO_IOP::TAO_IOR_Manipulation_ptr tao_TAO_IOP_TAO_IOR_Manipulation_nil | ( | void |  | ) |

void tao_TAO_IOP_TAO_IOR_Manipulation_release | ( | TAO_IOP::TAO_IOR_Manipulation_ptr | p | ) |

CORBA::Object* tao_TAO_IOP_TAO_IOR_Manipulation_upcast | ( | void * | src | ) |

TAO_IOP::TAO_IOR_Property_ptr tao_TAO_IOP_TAO_IOR_Property_duplicate | ( | TAO_IOP::TAO_IOR_Property_ptr | p | ) |

TAO_IOP::TAO_IOR_Property_ptr tao_TAO_IOP_TAO_IOR_Property_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

TAO_IOP::TAO_IOR_Property_ptr tao_TAO_IOP_TAO_IOR_Property_nil | ( | void |  | ) |

void tao_TAO_IOP_TAO_IOR_Property_release | ( | TAO_IOP::TAO_IOR_Property_ptr | p | ) |

CORBA::Object* tao_TAO_IOP_TAO_IOR_Property_upcast | ( | void * | src | ) |

## Variable Documentation

const CORBA::Long _oc_TAO_IOP_Duplicate[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      26,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x4475706c),
      ACE_NTOHL (0x69636174),
      ACE_NTOHL (0x653a312e),
      ACE_NTOHL (0x30000000),
      10,
      ACE_NTOHL (0x4475706c),
      ACE_NTOHL (0x69636174),
      ACE_NTOHL (0x65000000),
      0,
    }

const CORBA::Long _oc_TAO_IOP_EmptyProfileList[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      33,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x456d7074),
      ACE_NTOHL (0x7950726f),
      ACE_NTOHL (0x66696c65),
      ACE_NTOHL (0x4c697374),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      17,
      ACE_NTOHL (0x456d7074),
      ACE_NTOHL (0x7950726f),
      ACE_NTOHL (0x66696c65),
      ACE_NTOHL (0x4c697374),
      ACE_NTOHL (0x0),
      0,
    }

const CORBA::Long _oc_TAO_IOP_Invalid_IOR[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      28,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c69645f),
      ACE_NTOHL (0x494f523a),
      ACE_NTOHL (0x312e3000),
      12,
      ACE_NTOHL (0x496e7661),
      ACE_NTOHL (0x6c69645f),
      ACE_NTOHL (0x494f5200),
      0,
    }

const CORBA::Long _oc_TAO_IOP_MultiProfileList[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      33,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x4d756c74),
      ACE_NTOHL (0x6950726f),
      ACE_NTOHL (0x66696c65),
      ACE_NTOHL (0x4c697374),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      17,
      ACE_NTOHL (0x4d756c74),
      ACE_NTOHL (0x6950726f),
      ACE_NTOHL (0x66696c65),
      ACE_NTOHL (0x4c697374),
      ACE_NTOHL (0x0),
      0,
    }

const CORBA::Long _oc_TAO_IOP_NotFound[]`[static]`

| Initial value:
    {
      TAO_ENCAP_BYTE_ORDER,
      25,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x54414f5f),
      ACE_NTOHL (0x494f502f),
      ACE_NTOHL (0x4e6f7446),
      ACE_NTOHL (0x6f756e64),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
      9,
      ACE_NTOHL (0x4e6f7446),
      ACE_NTOHL (0x6f756e64),
      ACE_NTOHL (0x0),
      0,
    }